Control (Java Platform SE 8 )
Keywords: javax.sound.sampled.Control class
Date: 2023-01-18

javax.sound.sampled

## Class Control

- java.lang.Object
- - javax.sound.sampled.Control

- Direct Known Subclasses:
    BooleanControl, CompoundControl, EnumControl, FloatControl

      public abstract class Control
      extends Object

  `Lines` often have a set of controls, such as gain and pan, that affect the audio signal passing through the line. Java Sound's `Line` objects let you obtain a particular control object by passing its class as the argument to a `getControl` method.

  Because the various types of controls have different purposes and features, all of their functionality is accessed from the subclasses that define each kind of control.

  Since:
    1.3
  See Also:
    `Line.getControls()`, `Line.isControlSupported(javax.sound.sampled.Control.Type)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Control.Type` An instance of the `Type` class represents the type of the control.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Control(Control.Type type)` Constructs a Control with the specified type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Control.Type` | `getType()` Obtains the control's type.
    `String` | `toString()` Obtains a String describing the control type and its current state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Control

          protected Control(Control.Type type)

      Constructs a Control with the specified type.
      Parameters:
        `type` - the kind of control desired

  - ### Method Detail

    - #### getType

          public Control.Type getType()

      Obtains the control's type.
      Returns:
        the control's type.

    - #### toString

          public String toString()

      Obtains a String describing the control type and its current state.
      Overrides:
        `toString` in class `Object`
      Returns:
        a String representation of the Control.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.